[RFC] LFS-6.1.1

Alexander E. Patrakov patrakov at ums.usu.ru
Sat Oct 8 20:41:30 PDT 2005


Jeremy Huntwork wrote:
> Ken Moffat wrote:
> 
>>  I haven't been paying a lot of attention to this thread, but I 
>> thought somebody mentioned a glibc upgrade to 2.3.5 ?  Now, that 
>> version worked fine for me (but then, so did 2.3.4, and even openssh 
>> on x86), but I don't think it's been tested in the context of 
>> BLFS-stable ?  Sure, we all used it with gcc-3.4.4, but BLFS-dev has 
>> moved on to gcc-4.  If somebody cuts a 6.1.1 branch with glibc-2.3.5 
>> and gcc-3.4.4, that all needs to be tested.
> 
> 
> I was thinking of the suggestion that Alexander made in the BLFS 
> bugzilla: using the glibc 2.3.4 patch. About that particular bug, 
> though, I'd like to ask again, what steps are necessary to reproduce it? 
> I've never seen it and I've used the 6.1-x LiveCDs extensively which 
> supposedly contain the bug.

To reproduce: install openssh 4.x on the 6.1 livecd (currently we use 
3.9 there because of this bug). Change the root password. Start the ssh 
daemon. Attempt to connect to this server using the correct password. 
You will not be able to get to a shell prompt because "connection closed 
unexpectedly".

-- 
Alexander E. Patrakov



More information about the lfs-dev mailing list